Runs
GET
/organizations/{organizationId}/approvals/{approvalId}/runs
List approval flow runs
Abfrageparameter
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Filter approval runs by status
Possible values: pending, approved, denied, canceled
Antwort-Payload
results
array of object
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.approvalFlowId
string
erforderlich
results.organizationId
string
results.workspaceId
string
results.status
string
erforderlich
Possible values: pending, approved, denied, canceled
results.activeStep
number
results.previousObject
object
results.object
object
results.invoker
object
Reference to an entity that invoked the run for this flow.
Untergeordnete Attribute anzeigen
results.invoker.type
string
erforderlich
Type of entity that invoked the run.
Possible values: user, accesskey, contact
results.invoker.id
string
erforderlich
ID of the entity that invoked the run.
results.tags
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.tags.key
string
erforderlich
results.tags.value
string
erforderlich
results.results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.results.reviewer
object
Reference to an entity that can review the runs for this flow.
Untergeordnete Attribute anzeigen
results.results.reviewer.type
string
erforderlich
Possible values: user
results.results.reviewer.id
string
erforderlich
results.results.userId
string
results.results.result
string
erforderlich
Possible values: approved, rejected
results.results.comment
string
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}
Get approval flow run
Antwort-Payload
id
string
erforderlich
approvalFlowId
string
erforderlich
organizationId
string
workspaceId
string
status
string
erforderlich
Possible values: pending, approved, denied, canceled
activeStep
number
previousObject
object
object
object
invoker
object
Reference to an entity that invoked the run for this flow.
Untergeordnete Attribute anzeigen
invoker.type
string
erforderlich
Type of entity that invoked the run.
Possible values: user, accesskey, contact
invoker.id
string
erforderlich
ID of the entity that invoked the run.
tags
array of object
erforderlich
Untergeordnete Attribute anzeigen
tags.key
string
erforderlich
tags.value
string
erforderlich
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.reviewer
object
Reference to an entity that can review the runs for this flow.
Untergeordnete Attribute anzeigen
results.reviewer.type
string
erforderlich
Possible values: user
results.reviewer.id
string
erforderlich
results.userId
string
results.result
string
erforderlich
Possible values: approved, rejected
results.comment
string
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'